#include<iostream>
using namespace std;
int main(){
    long long n, a, b, c;
    cin >> n >> a >> b;
    for(long long i = 0; i < n - 2; ++i){
        c = a;
        c *= b;
        a = b;
        long long copie = c;
        b = 0;
        if(copie % 10 > 0){
            b += copie % 10 - 1;
        }else{
            b += 9;
        }
        copie /= 10;

        if(copie % 10 > 0){
            b += 10 * (copie % 10) - 10;
        }else{
            b += 90;
        }
        copie /= 10;

        if(copie % 10 > 0){
            b += 100 * (copie % 10) - 100;
        }else{
            b += 900;
        }
        copie /= 10;
    }
    cout << b;
    return 0;
}
